Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008978Multi Theft Auto : San AndreasClientpublic2015-08-05 00:292017-03-18 11:02
ReporterALBANDER 
Assigned ToTalidan 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.5.3Fixed in VersionNo Target Version 
Summary0008978: M4 bug
DescriptionVideo for bug : https://youtu.be/LzMBa9U6Tbw [^]


How to fix it ?


* Quick Stand Glitch Disabled


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0023797)
ALBANDER (viewer)
2015-08-05 00:38
edited on: 2015-08-08 14:46

it can be occur with Deagle , shotgun and snipers Weapons Too.

(0023798)
qaisjp (administrator)
2015-08-05 00:40
edited on: 2015-08-05 00:42

it seems like a general issue with weapons?

just to confirm, the person that the first player is shooting at seems to be just running, but in reality he is shooting back whilst moving?

edit: nevermind, they are different people, not different perspectives

I don't quite understand what the issue is here...

(0023799)
ALBANDER (viewer)
2015-08-05 00:45
edited on: 2015-08-05 19:02

1 - it seems like a general issue with weapons?

Answer : Yes (it occur only if fast move glitch enabled.)

2- just to confirm, the person that the first player is shooting at seems to be just running, but in reality he is shooting back whilst moving?


Answer : yes , he is shooting while he moving


EDIT :


 I don't quite understand what the issue is here..

Answer : Watch video from 5 seconds and you will understand

or click here : https://youtu.be/LzMBa9U6Tbw?t=5s [^]


I don't know what is bug name , I can't called bug with name ,

but i'm asking it can be fixed or not ?

(0023800)
qaisjp (administrator)
2015-08-05 00:47

I still don't understand
(0023801)
ALBANDER (viewer)
2015-08-05 00:49
edited on: 2015-08-05 00:57

I don't know what is bug name , I can't called bug with name ,

but i'm asking it can be fixed or not ?


EDIT : Wait Please, now my friend record video to show you it can be occur with deagle weapon too.


EDIT #2 : Change Summary to : "Unknown Bug with Weapons"

(0023802)
ccw (administrator)
2015-08-05 01:25

The bug is strafing + shooting locally, but crouch-straifing + shooting remotely?
(0023803)
ALBANDER (viewer)
2015-08-05 01:41

remotely ?


The bug it is occur by real players , not by remote peds to fire.
(0023804)
ccw (administrator)
2015-08-05 01:55

Video 0:00 to 0:06
Red guy (local player) strafing while firing over fence - Kills enemy

Video 0:07 to 0:10
Blue guy (remote player) crouch-strafing while firing into fence - Kills enemy
(0023805)
ALBANDER (viewer)
2015-08-05 02:00

The bug it is recorded and occur Here : mtasa://37.59.197.160:22003


there is 7 players in server while bug occur.

There is no remotely Peds to make bug.
(0023806)
ccw (administrator)
2015-08-05 02:17

remote player
(0023808)
ALBANDER (viewer)
2015-08-05 02:28

Wait Please , My Friend will record another video and using Deagle !
(0023816)
arranTuna (manager)
2015-08-05 12:02

So you're saying that your server enables glitches and then you complain when there's a glitch..?
(0023818)
qaisjp (administrator)
2015-08-05 12:21

Yes Arran, a different glitch
(0023828)
ALBANDER (viewer)
2015-08-05 19:03

Arran , this bug occur only if "fast move" glitch enabled.
(0023849)
IIYAMA12 (viewer)
2015-08-06 21:22

This (new) glitch is going on for a while.
"fast move" is a useless glitch, (almost) nobody is using it. I am not sure why people want to enable it, but it is included in some cbug resources.

The only thing that might be handy is by adding some extra info about it on wiki.(to prevent multiply threads about this...) It is in my opinion a bit overdoing to fix a glitch caused by another (useless)glitch, which is disabled by default.
(0023850)
ccw (administrator)
2015-08-06 22:03

IIYAMA12, can you explain what the bug is?
(0023851)
IIYAMA12 (viewer)
2015-08-07 00:03

Well it is very simple. When that glitch is enabled.
Randomly players get synced like this, while shooting their gun: https://dl.dropboxusercontent.com/u/63149063/M4%20Bug%20-%20YouTube%202015-08-06%2023-42-53.png [^] His legs are getting stuck in the ground and his movement are the same as he is standing. When he stops his shooting animation the player will be "reset".
This image(captured) comes from the video(https://youtu.be/LzMBa9U6Tbw [^]) that Albander added on 2015-08-05 00:00.

The local player will not see this animation himself, he will be seeing the default animation. But the remote players will see it as the image and video.

Video
A player starts watching over a remote player on 0:07 t/m 0:10. (this is where the 'glitch' is visible)
It is only a petty he didn't film the remote player(as a localPlayer) while he was shooting.
(0023856)
qaisjp (administrator)
2015-08-07 01:16
edited on: 2015-08-07 01:17

It seems like different shots because that ped is shaded black and appeared to be crouching. Thank you very much IIYAMA12 for the explanation.

Should this be fixed considering that it is an artifact of an enabled glitch?

(0023864)
ALBANDER (viewer)
2015-08-07 07:25
edited on: 2016-06-22 19:33

Just a reminder , The Bug Can be occur too with Deagle , Shotgun and sniper Weapons.

This bug will be fixed in 2016-05-16 ?


Why this bug don't confirmed ?

Remember , this bug don't occur until enable "Fast move" Glitch.


NEW VIDEO : https://youtu.be/UOFOp4wleDA [^]


How make the bug occured : first step ' press button " C " to crouch down
                          
 second step " press button " C " again to stand up " and press button " A " togehter with button C , fastly and after that keep your finger on " A " button


the bug occur when you have a "Deagle - m4 - shotgun .... etc"

(0024831)
Lex128 (reporter)
2016-06-20 18:24

Yes, confirmed and reproduced
May be need lite syncing crouch state
(0024898)
Talidan (administrator)
2016-07-04 16:39
edited on: 2016-07-04 16:41

These are both the 'fastmove' bug, initiated in different ways. I don't know yet if they can be seperated.

The fastmove bug was intended to prevent players from 'moving fast' as soon as they stood up and entering aim. When I initially fixed it, it was to prevent people sprinting with heavy weapons whilst aiming. In other words, it was initiated by using the 'sprint' key to stand up from crouching.

This is the same bug, only instead of using the 'sprint' key to stand up, you're using the traditional 'crouch'key. The result is you aren't running with the gun, but instead sliding slightly faster than walking.

Fundamentally it's the same bug. However, from the video it seems one causes desync in crouch states while the other doesn't.

(0024900)
Talidan (administrator)
2016-07-04 19:39

MTA can only tell when a player is fully stood up, and doesn't know when a player starts the process of standing up. Hence, there's a noticable delay in 'standing up' sync because the remote players only get told to start the stand-up process once the local player has fully stood up.

The desync is caused by taking advantage of this delay. Whilst standing up, if a player presses left or right, remotely they will begin doing a crouchroll (because remotely, we dont know they're in the process of standing up). The aiming then takes over as the primary task, but in a bugged-crouched state.

A crude solution to this is to reset the remote player's task every time he stands up whilst aiming and moving. I don't know the overall consequences of doing something as drastic as this to fix the desync. However, I've replicated the code in a resource which you can download from here: https://community.mtasa.com/index.php?p=resources&s=details&id=13368 [^]

I haven't noticed any side-effects of doing this, but I don't want to integrate it build it into MTA for such a niche usage. With the use of the above resource, I'm marking this issue as solved.
(0025009)
ALBANDER (viewer)
2016-08-02 17:38
edited on: 2017-03-18 11:02

but why it fixed as resource ?

if will add a new Argument in "SetGlitchEnabled" will be better

Here : https://wiki.multitheftauto.com/wiki/SetGlitchEnabled [^]

but the glitch name is unknown.... !!!!


- Issue History
Date Modified Username Field Change
2015-08-05 00:29 ALBANDER New Issue
2015-08-05 00:36 qaisjp Summary How To Fix This bug ? => M4 desync bug
2015-08-05 00:38 ALBANDER Note Added: 0023797
2015-08-05 00:40 qaisjp Note Added: 0023798
2015-08-05 00:41 qaisjp Summary M4 desync bug => M4 bug
2015-08-05 00:42 qaisjp Note Edited: 0023798 View Revisions
2015-08-05 00:45 ALBANDER Note Added: 0023799
2015-08-05 00:45 ALBANDER Note Edited: 0023799 View Revisions
2015-08-05 00:46 ALBANDER Note Edited: 0023799 View Revisions
2015-08-05 00:47 qaisjp Note Added: 0023800
2015-08-05 00:48 ALBANDER Note Edited: 0023799 View Revisions
2015-08-05 00:49 ALBANDER Note Edited: 0023799 View Revisions
2015-08-05 00:49 ALBANDER Note Added: 0023801
2015-08-05 00:51 ALBANDER Note Edited: 0023801 View Revisions
2015-08-05 00:54 ALBANDER Note Edited: 0023801 View Revisions
2015-08-05 00:57 ALBANDER Note Edited: 0023801 View Revisions
2015-08-05 01:25 ccw Note Added: 0023802
2015-08-05 01:41 ALBANDER Note Added: 0023803
2015-08-05 01:55 ccw Note Added: 0023804
2015-08-05 02:00 ALBANDER Note Added: 0023805
2015-08-05 02:17 ccw Note Added: 0023806
2015-08-05 02:28 ALBANDER Note Added: 0023808
2015-08-05 12:02 arranTuna Note Added: 0023816
2015-08-05 12:21 qaisjp Note Added: 0023818
2015-08-05 19:02 ALBANDER Note Edited: 0023799 View Revisions
2015-08-05 19:03 ALBANDER Note Added: 0023828
2015-08-06 21:22 IIYAMA12 Note Added: 0023849
2015-08-06 22:03 ccw Note Added: 0023850
2015-08-07 00:03 IIYAMA12 Note Added: 0023851
2015-08-07 01:16 qaisjp Note Added: 0023856
2015-08-07 01:16 qaisjp Note Edited: 0023856 View Revisions
2015-08-07 01:17 qaisjp Note Edited: 0023856 View Revisions
2015-08-07 07:25 ALBANDER Note Added: 0023864
2015-08-07 07:26 ALBANDER Note Edited: 0023864 View Revisions
2015-08-08 14:46 ALBANDER Note Edited: 0023797 View Revisions
2015-08-08 14:46 ALBANDER Note Edited: 0023864 View Revisions
2015-08-17 05:16 ccw Project New issues => Multi Theft Auto : San Andreas
2015-08-17 05:16 ccw Target Version => 1.5.1
2016-04-02 14:10 ALBANDER Note Edited: 0023864 View Revisions
2016-05-23 15:30 ALBANDER Note Edited: 0023864 View Revisions
2016-05-23 15:33 ALBANDER Note Edited: 0023864 View Revisions
2016-06-17 11:59 ALBANDER Note Edited: 0023864 View Revisions
2016-06-17 12:06 ALBANDER Note Edited: 0023864 View Revisions
2016-06-17 12:08 ALBANDER Note Edited: 0023864 View Revisions
2016-06-20 18:24 Lex128 Note Added: 0024831
2016-06-20 18:33 ALBANDER Note Edited: 0023864 View Revisions
2016-06-20 18:34 ALBANDER Note Edited: 0023864 View Revisions
2016-06-22 19:33 ALBANDER Note Edited: 0023864 View Revisions
2016-07-04 16:39 Talidan Note Added: 0024898
2016-07-04 16:41 Talidan Note Edited: 0024898 View Revisions
2016-07-04 19:39 Talidan Note Added: 0024900
2016-07-04 19:39 Talidan Assigned To => Talidan
2016-07-04 19:39 Talidan Status new => resolved
2016-07-04 19:39 Talidan Resolution open => fixed
2016-07-04 19:39 Talidan Fixed in Version => No Target Version
2016-08-02 17:38 ALBANDER Note Added: 0025009
2017-03-18 11:02 ALBANDER Note Edited: 0025009 View Revisions


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker